stages:
  - prepare

prepare_node:
  stage: prepare
  image: node:10
  before_script:
    - npm install
  script: 
    - npm run prod
  artifacts:
    paths:
      - node_modules
      - public/css/all.css
      - /root/.node-gyp
  cache:
    # Cache per Branch
    key: "$CI_JOB_STAGE-$CI_COMMIT_REF_SLUG"
    paths:
      - node_modules
      - /root/.node-gyp
  only:
    - branches
    - tags